import axios from 'axios';
import qs from 'qs';
import apiList from './apiList';
import Vue from 'vue';
import ddLogin from "../assets/js/ddLogin";

let vm = new Vue();
let baseUrl = 'http://doc-phone.linanquan.com/';
// 添加请求拦截器
axios.interceptors.request.use(function (config) {
    // 在发送请求之前做些什么
    return config;
}, function (error) {
    // 对请求错误做些什么
    return Promise.reject(error);
});

// 添加响应拦截器
axios.interceptors.response.use(function (response) {
    // 对响应数据做点什么
    if(response.data.err_code !== 0){
        vm.$notify({ type:'danger',duration: 2000,message:response.data.err_msg});
    }else if(response.data.err_code === 10003){
        //token过期去获取
        vm.$notify({ type:'primary',duration: 1500,message:'重新登录'});
        ddLogin.getCode();
    }
    return response.data;
}, function (error) {
    // 对响应错误做点什么
    return Promise.reject(error);
});

export default {
    post(apiName,data){
        let url = apiList[apiName];
        return axios({
            method:'post',
            baseURL:baseUrl,
            url:url,
            data:qs.stringify(data),
        })
    },
}